<?php
	include_once("../conexao.php");
	include_once("../componentes/xuxu.php");
    include('Net/SFTP.php');
    
	$array = array(
		"titulo"=>"Estou enviando a remessa dos arquivos do dia " . date("d/m/y") . ".",
		"idacaotipo" => 6,
		"idusuarioregistro" => 100009
	);
	
	$xuxucomp = new Xuxu();
	$xuxucomp->EnviarAcao($array);

	$host = "ftp.adiq.com.br";
    $usuario = "xuliz";
    $senha = "F1v3M3hf";
    $sftp = new Net_SFTP($host);

    if (!$sftp->login($usuario, $senha)) {
        exit('Login Failed');
    }
	$pastaremessa = "../anexos/arquivoremessa/aguardando/";
	$pastaftp = "./Inbound/";
	$destino = "../anexos/arquivoremessa/processados/";
	
	$arquivosremesa = scandir($pastaremessa);
	foreach($arquivosremesa as $linhaarquivo)
	{
		$arquivo = $linhaarquivo;
		if($arquivo != ".." && $arquivo != ".")
		{
			$caminhoarquivo = $pastaremessa . $arquivo;
			$caminhosftp = $pastaftp . $arquivo;
			$sftp->put($caminhosftp, $caminhoarquivo, NET_SFTP_LOCAL_FILE);
			$destinoarquivo = $destino . "/" . $arquivo;
			rename($caminhoarquivo, $destinoarquivo);
		}
		
	}
?>